import buildah-1.26.2-1.module+el8.6.0+15917+093ca6f8
This commit is contained in:
parent
29fa7e8c60
commit
258fafe5cd
@ -1 +1 @@
|
|||||||
09993f8aad3024403e1e2aa76aa3d11d1023cceb SOURCES/release-1.24-7b559a3.tar.gz
|
aba5b2eba2e548797e63b6f70c8472ce17b7b9a4 SOURCES/buildah-1.26.2-1915998.tar.gz
|
||||||
|
2
.gitignore
vendored
2
.gitignore
vendored
@ -1 +1 @@
|
|||||||
SOURCES/release-1.24-7b559a3.tar.gz
|
SOURCES/buildah-1.26.2-1915998.tar.gz
|
||||||
|
@ -1,45 +0,0 @@
|
|||||||
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
|
|
||||||
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
|
||||||
Date: Mon, 21 Feb 2022 14:58:40 -0500
|
|
||||||
Subject: [PATCH] helpers.bash: Use correct syntax
|
|
||||||
|
|
||||||
Fixes gating test failure:
|
|
||||||
```
|
|
||||||
/usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
|
|
||||||
```
|
|
||||||
|
|
||||||
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
|
|
||||||
|
|
||||||
I'm just the committer.
|
|
||||||
|
|
||||||
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
|
||||||
---
|
|
||||||
tests/helpers.bash | 8 ++++----
|
|
||||||
1 file changed, 4 insertions(+), 4 deletions(-)
|
|
||||||
|
|
||||||
diff --git a/tests/helpers.bash b/tests/helpers.bash
|
|
||||||
index bd2794c974..3e72108bec 100644
|
|
||||||
--- a/tests/helpers.bash
|
|
||||||
+++ b/tests/helpers.bash
|
|
||||||
@@ -433,9 +433,9 @@ function skip_if_rootless() {
|
|
||||||
##################################
|
|
||||||
function skip_if_rootless_and_cgroupv1() {
|
|
||||||
if test "$BUILDAH_ISOLATION" = "rootless"; then
|
|
||||||
- if !is_cgroupsv2; then
|
|
||||||
- skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
|
||||||
- fi
|
|
||||||
+ if ! is_cgroupsv2; then
|
|
||||||
+ skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
|
||||||
+ fi
|
|
||||||
fi
|
|
||||||
}
|
|
||||||
|
|
||||||
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
|
|
||||||
# skip_if_cgroupsv1 # Some tests don't work with cgroupsv1
|
|
||||||
#######################
|
|
||||||
function skip_if_cgroupsv1() {
|
|
||||||
- if !is_cgroupsv2; then
|
|
||||||
+ if ! is_cgroupsv2; then
|
|
||||||
skip "${1:-test does not work with cgroups v1}"
|
|
||||||
fi
|
|
||||||
}
|
|
@ -11,14 +11,14 @@ go build -buildmode pie -compiler gc -tags="rpm_crashtraceback libtrust_openssl
|
|||||||
%endif
|
%endif
|
||||||
|
|
||||||
%global import_path github.com/containers/buildah
|
%global import_path github.com/containers/buildah
|
||||||
%global branch release-1.24
|
#%%global branch main
|
||||||
%global commit0 7b559a3e7cff23f2207a36140178174d6e130a56
|
%global commit0 19159983d3ecdb16df97eb4c887902363066b474
|
||||||
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
|
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
|
||||||
|
|
||||||
Epoch: 1
|
Epoch: 1
|
||||||
Name: buildah
|
Name: buildah
|
||||||
Version: 1.24.2
|
Version: 1.26.2
|
||||||
Release: 4%{?dist}
|
Release: 1%{?dist}
|
||||||
Summary: A command line tool used for creating OCI Images
|
Summary: A command line tool used for creating OCI Images
|
||||||
License: ASL 2.0
|
License: ASL 2.0
|
||||||
URL: https://%{name}.io
|
URL: https://%{name}.io
|
||||||
@ -29,14 +29,13 @@ Source0: https://%{import_path}/tarball/%{commit0}/%{branch}-%{shortcommit0}.tar
|
|||||||
%else
|
%else
|
||||||
Source0: https://%{import_path}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
|
Source0: https://%{import_path}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
|
||||||
%endif
|
%endif
|
||||||
Patch0: fix-bash-syntax.patch
|
BuildRequires: golang >= 1.17.7
|
||||||
BuildRequires: golang >= 1.16.6
|
|
||||||
BuildRequires: git
|
BuildRequires: git
|
||||||
BuildRequires: glib2-devel
|
BuildRequires: glib2-devel
|
||||||
BuildRequires: libseccomp-devel
|
BuildRequires: libseccomp-devel
|
||||||
BuildRequires: ostree-devel
|
BuildRequires: ostree-devel
|
||||||
BuildRequires: glibc-static
|
BuildRequires: glibc-static
|
||||||
BuildRequires: go-md2man
|
BuildRequires: /usr/bin/go-md2man
|
||||||
BuildRequires: gpgme-devel
|
BuildRequires: gpgme-devel
|
||||||
BuildRequires: device-mapper-devel
|
BuildRequires: device-mapper-devel
|
||||||
BuildRequires: libassuan-devel
|
BuildRequires: libassuan-devel
|
||||||
@ -45,6 +44,10 @@ Requires: runc >= 1.0.0-26
|
|||||||
Requires: containers-common >= 2:1-2
|
Requires: containers-common >= 2:1-2
|
||||||
Recommends: container-selinux
|
Recommends: container-selinux
|
||||||
Requires: slirp4netns >= 0.3-0
|
Requires: slirp4netns >= 0.3-0
|
||||||
|
Requires: containernetworking-plugins >= 0.9.1-1
|
||||||
|
Suggests: netavark
|
||||||
|
Requires: iptables
|
||||||
|
Requires: nftables
|
||||||
|
|
||||||
%description
|
%description
|
||||||
The %{name} package provides a command line tool which can be used to
|
The %{name} package provides a command line tool which can be used to
|
||||||
@ -129,37 +132,34 @@ make DESTDIR=%{buildroot} PREFIX=%{_prefix} -C docs install
|
|||||||
%{_datadir}/%{name}/test
|
%{_datadir}/%{name}/test
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
* Fri Mar 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-4
|
* Thu Jul 07 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.2-1
|
||||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
- update to https://github.com/containers/buildah/releases/tag/v1.26.2
|
||||||
(https://github.com/containers/buildah/commit/7b559a3)
|
- Related: #2061390
|
||||||
- Related: #2059296
|
|
||||||
|
|
||||||
* Fri Mar 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-3
|
* Tue Jun 07 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.1-2
|
||||||
- switch to RHEL maintenance branch which fixes CVE-2022-27651
|
- BuildRequires: /usr/bin/go-md2man
|
||||||
- Resolves: #2067559
|
- Related: #2061390
|
||||||
|
|
||||||
* Mon Feb 21 2022 Lokesh Mandvekar <lsm5@redhat.com> - 1:1.24.2-2
|
* Fri May 06 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.1-1
|
||||||
|
- update to https://github.com/containers/buildah/releases/tag/v1.26.1
|
||||||
|
- Related: #2061390
|
||||||
|
|
||||||
|
* Wed Apr 20 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.1-2
|
||||||
|
- bump golang BR to 1.17.7
|
||||||
|
- Related: #2061390
|
||||||
|
|
||||||
|
* Thu Mar 31 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.1-1
|
||||||
|
- update to https://github.com/containers/buildah/releases/tag/v1.25.1
|
||||||
|
|
||||||
|
* Wed Mar 30 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.0-1
|
||||||
|
- update to https://github.com/containers/buildah/releases/tag/v1.25.0
|
||||||
|
- Related: #2061390
|
||||||
|
|
||||||
|
* Mon Mar 07 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-1
|
||||||
- Add patch to fix bash symtax for gating tests
|
- Add patch to fix bash symtax for gating tests
|
||||||
- Upstream PR: https://github.com/containers/buildah/pull/3792
|
- Upstream PR: https://github.com/containers/buildah/pull/3792
|
||||||
- Related: #2001445
|
- Related: #2001445
|
||||||
|
|
||||||
* Thu Feb 17 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-1
|
|
||||||
- update to https://github.com/containers/buildah/releases/tag/v1.24.2
|
|
||||||
- Related: #2001445
|
|
||||||
|
|
||||||
* Fri Feb 04 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.1-1
|
|
||||||
- update to https://github.com/containers/buildah/releases/tag/v1.24.1
|
|
||||||
- Related: #2001445
|
|
||||||
|
|
||||||
* Wed Feb 02 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.0-1
|
|
||||||
- update to https://github.com/containers/buildah/releases/tag/v1.24.0
|
|
||||||
- Related: #2001445
|
|
||||||
|
|
||||||
* Tue Jan 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.23.2-1
|
|
||||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.23
|
|
||||||
(https://github.com/containers/buildah/commit/83a66a7)
|
|
||||||
- Related: #2001445
|
|
||||||
|
|
||||||
* Mon Nov 22 2021 Jindrich Novy <jnovy@redhat.com> - 1:1.23.1-3
|
* Mon Nov 22 2021 Jindrich Novy <jnovy@redhat.com> - 1:1.23.1-3
|
||||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.23
|
- update to the latest content of https://github.com/containers/buildah/tree/release-1.23
|
||||||
(https://github.com/containers/buildah/commit/867c1bc)
|
(https://github.com/containers/buildah/commit/867c1bc)
|
||||||
|
Loading…
Reference in New Issue
Block a user